Subject: RE: Policy issues: definition of Roles

From: Andrew Smith <[email-masked]>
Date: Mon, 31 Jan 2000 14:43:09 -0800

So is the confusion just related to the use of the symbol "+" then? If
you're a hardware person that means "OR" and if you're a mathematical person
it means "AND".

I would suggest that we (try to) stick with a simple definition for "role
combination" that uses "AND" semantics (and a new symbol - how about "&&"?).
If we find out later on that we need to broaden this to include ORs, NOTs
and parentheses then so be it. However, the whole goal of the role
combination concept, at least as far as I understand it in the PIB work, was
to make the multiplied-out set of possibilities as small as possible for the
sake of simplicity in the device. So, keep it simple if possible.

Andrew

****************************************************************
Andrew Smith                              tel: +1 (408) 579-2821
Extreme Networks                          fax: +1 (408) 579-3000
3585 Monroe St.                   http://www.extremenetworks.com
Santa Clara CA 95051-1450        em:  [email-masked]
****************************************************************

> -----Original Message-----
> From: Bob Natale [mailto:[email-masked]]
> Sent: Monday, January 31, 2000 11:19 AM
> To: John C. Strassner
> Cc: [email-masked]
> Subject: RE: Policy issues: definition of Roles
> 
> 
> At 1/30/2000:03:59 PM, John C. Strassner wrote:
> 
> Hi John,
> 
> Thanks for your patience on this...I do feel that we're 
> making progress.
> 
> >the last email I sent to Glenn assumes that the "ALL" part 
> of the definition,
> >as initially defined by Shai and Keith, applies to the 
> selection process as well.
> >In other words, "Ethernet+Overflow" doesn't just select all 
> Ethernet policies and
> >all overflow policies, it selects the subset that apply to 
> Ethernet and overflow.
> 
> Yes, that would be my understanding too...and further serves 
> to bolster
> the original (and only) point I am trying to make on this 
> thread, to wit:
> 
> >What it appears that you and Glenn are saying is that you 
> want room to interpret
> >how the different roles in a role-combination are used to 
> create the selector.
> 
> I can't speak for Glenn, of course...but the only thing I am 
> trying to clarify --
> which your explanation above supports -- is that a 
> "role-combination" does *not*
> necessarily refer to the set of *all* roles supported by a 
> "network entity/component"
> ...rather, it only refers to the subset defined by the 
> combination ("Ethernet+Overflow",
> in the example above...not "all Ethernet and  all Overflow 
> roles in the network entity/
> component"...much less "all roles in the network 
> entity/component").  So, we seem
> to be saying the same thing here.
> 
> >I'm fine with broadening this, but would really like to hear 
> back from Keith,
> >Michael Fine, and Shai before we set this in stone.
> 
> Sounds fair to me...thanks.
> 
> Cordially,
> 
> BobN
> ------------ ISO 9001 Registered Quality Supplier -----------
> Bob Natale         | ACE*COMM              | 301-721-3000 [v]
> Dir, Net Mgmt Prod | 704 Quince Orchard Rd | 301-721-3001 [f]
> [email-masked]| Gaithersburg MD 20878 | www.acecomm.com
> ------------- Free downloads at www.winsnmp.com -------------
>

---

From: Bob Natale <[email-masked]>
Date: Mon, 31 Jan 2000 18:27:10 -0500

At 1/31/2000:05:43 PM, Andrew Smith wrote:

Hi Andrew,

>you're a hardware person that means "OR" and if you're a mathematical person

No, in my case, the problem is not with the "+" symbol or its meaning.
I was questioning the word ALL in the definition of "role combination"
that went like "...the set of ALL roles supported by the network entity/
component".  I did not think the ALL belonged there; and I believe that
subsequent discussion on the list has shown that it does not belong in
the definition.

>combination" that uses "AND" semantics (and a new symbol - how about "&&"?).

That works fine for me.  All I care about on this thread is that a
"role combination" DOES NOT HAVE to include ALL of the roles supported
by a network entity/component (although there MAY well be a role
combination which does incorporate all roles supported by a network
entity/component).

>sake of simplicity in the device. So, keep it simple if possible.

Precisely.

Cordially,

BobN
------------- Free downloads at www.winsnmp.com -------------